spring.application.name=config-server

server.port=8762
#spring.profiles.active=native

spring.cloud.config.server.git.clone-on-start=true
spring.cloud.config.server.git.uri=https://gitlab.com/edureka-microservice-training/final-project/config-repo.git
spring.cloud.config.server.git.default-label=${CONFIG_REPO_BRANCH:master}
spring.cloud.config.server.git.basedir=../config-repo
#spring.cloud.config.server.native.search-locations=file:///D:/code-workspace/edureka-wokspace/config-repo

#Spring Actuator config
management.info.env.enabled=true
management.endpoint.info.enabled=true
management.endpoint.health.enabled=true
management.endpoint.prometheus.enabled=true
management.endpoints.web.discovery.enabled=true
management.endpoints.web.exposure.include=*

#Eureka config
eureka.client.enabled=${DISCOVERY_ENABLED:true}
eureka.client.region=default
eureka.client.fetch-registry=true
eureka.client.register-with-eureka=true
eureka.client.service-url.defaultZone=http://localhost:8761/eureka/
eureka.client.healthcheck.enabled=true
eureka.client.registryFetchIntervalSeconds=5
eureka.instance.lease-expiration-duration-in-seconds=2
eureka.instance.lease-renewal-interval-in-seconds=5

#Logging config
LOG_PATH=logs
logging.level.rootLogger=INFO
logging.level.org.hibernate.SQL=DEBUG
#logging.level.org.hibernate.type.descriptor.sql.BasicBinder=TRACE
logging.file.name=${LOG_PATH}/application.log
logging.logback.rollingpolicy.max-file-size=50MB
logging.logback.rollingpolicy.max-history=30
logging.logback.rollingpolicy.file-name-pattern=${LOG_PATH}/archived/${spring.application.name:-application}.%d{yyyy-MM-dd}.%i.log.gz
